BJDWP(1)

NAME
bjdwp - Command line USB Blackberry Java Debug Wire Protocol

SYNOPSIS
bjdwp [-h][-p pin][-P password][-v] address port

DESCRIPTION

bjdwp is a program that supports the Java Debug Wire Protocol over USB, which enables debugging of Java programs directly on your Blackberry. Support is experimental, and development is focused primarily on the BlackBerry Storm.

OPTIONS

-p pin
    PIN of device to talk with. Only needed if you have more than one Blackberry connected at once.

-P password
    Simplistic method to specify device password. In a real application, this would be done using a more secure prompt.

-v  Dump verbose protocol data during operation.

-h, --help
    Show summary of options.

ARGUMENTS
The following arguments are required, in order to provide a socket where the JDWP server will listen for connections from the debugger.

address
    Most often 'localhost' but can be any IP or hostname on the machine running bjdwp.

port
    Port to listen on.

EXAMPLES
Start the server and the USB connection to the device:
    bjdwp localhost 8000 Then start your java debugger:
    jdb -connect com.sun.jdi.SocketAttach:hostname=localhost,port=8000

AUTHOR
bjdwp was initially written for the Barry project by Nicolas VIVIEN. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry